<template>
    <v-container fluid>
        <v-row>
            <v-col
                    cols="12"
                    md="4"
            >
                <v-row>
                    <v-col>
                        <v-card>
                            <v-toolbar
                                    color="primary"
                                    dense
                                    dark
                            >
                                <v-spacer/>
                                <v-toolbar-title
                                        class="title text-uppercase"
                                >
                                    Фильтр
                                </v-toolbar-title>
                                <v-spacer/>
                            </v-toolbar>

                            <v-form id="filters">
                                <v-container>
                                    <v-row align="center" dense>
                                        <v-col cols="4">
                                            <v-subheader class="subtitle-1">Статус:</v-subheader>
                                        </v-col>
                                        <v-col>
                                            <v-select
                                                    v-model="selectedStatus"
                                                    :items="statuses"
                                                    hide-details

                                            />
                                        </v-col>
                                    </v-row>
                                    <v-row align="center" dense>
                                        <v-col cols="4">
                                            <v-subheader class="subtitle-1">Тип:</v-subheader>
                                        </v-col>
                                        <v-col>
                                            <v-select
                                                    v-model="selectedType"
                                                    :items="types"
                                                    hide-details
                                            />
                                        </v-col>
                                    </v-row>
                                    <v-row align="center" dense>
                                        <v-col cols="4">
                                            <v-subheader class="subtitle-1">Навыки:</v-subheader>
                                        </v-col>
                                        <v-col>
                                            <v-select
                                                    v-model="selectedSkills"
                                                    :items="skills"
                                                    placeholder="Любые"
                                                    multiple
                                                    chips
                                                    deletable-chips
                                                    hide-details
                                            />
                                        </v-col>
                                    </v-row>
                                </v-container>
                            </v-form>
                        </v-card>
                    </v-col>
                </v-row>
            </v-col>

            <v-col
                    cols="12"
                    md="8"
            >
                <v-container
                        class="pt-0"
                        fluid
                >
                    <v-row>
                        <ProjectItem
                                title="Internship Platform"
                                description="Платформа T2CH для организации стажировок"
                                photo="https://cdn.vuetifyjs.com/images/parallax/material.jpg"
                                type="Проект"
                                v-bind:status="0"
                        />

                        <ProjectItem
                                title="Internship Platform"
                                description="Платформа T2CH для организации стажировок"
                                photo="https://cdn.vuetifyjs.com/images/parallax/material.jpg"
                                type="Модуль"
                                v-bind:status="1"
                        />

                        <ProjectItem
                                title="Internship Platform"
                                description="Платформа T2CH для организации стажировок"
                                photo="https://cdn.vuetifyjs.com/images/parallax/material.jpg"
                                type="Образовательный"
                                v-bind:status="2"
                        />
                    </v-row>
                </v-container>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
    import ProjectItem from "./ProjectItem";

    export default {
        name: "Projects",
        components: {ProjectItem},
        data: () => ({
            statuses: [
                {text: 'Любой', value: 0},
                {text: 'Открыт', value: 1},
                {text: 'В разработке', value: 2},
                {text: 'Готов', value: 3}
            ],
            selectedStatus: 0,
            types: [
                {text: 'Любой', value: 0},
                {text: 'Проект', value: 1},
                {text: 'Модуль', value: 2},
                {text: 'Образовательный', value: 3},
            ],
            selectedType: 0,
            skills: ['NodeJS', 'Golang', 'ReactJS', 'VueJS', 'C#'],
            selectedSkills: []
        })
    }
</script>

<style scoped>
    #filters .v-text-field {
        padding-top: 0;
        margin-top: 0;
    }
</style>
